summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-makeself-from-tlnet
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-makeself-from-tlnet')
-rwxr-xr-xMaster/tlpkg/bin/tl-makeself-from-tlnet12
1 files changed, 7 insertions, 5 deletions
diff --git a/Master/tlpkg/bin/tl-makeself-from-tlnet b/Master/tlpkg/bin/tl-makeself-from-tlnet
index 38206cd98f3..21a7e527b4f 100755
--- a/Master/tlpkg/bin/tl-makeself-from-tlnet
+++ b/Master/tlpkg/bin/tl-makeself-from-tlnet
@@ -1,6 +1,6 @@
#!/bin/sh -e
# $Id$
-# Copyright 2008-2017 Norbert Preining
+# Copyright 2008-2018 Norbert Preining
# This file is licensed under the GNU General Public License version 2
# or any later version.
#
@@ -55,11 +55,10 @@ if test -z "$infrarev"; then
exit 1
fi
#
-# don't think quotes are needed here, except for possible sh bugs?
for i in "$ARCHIVE"/$infrapkg*.tar.xz; do
case "$i" in
*win32*) ;;
- *) xzdec <"$i" | tar -xf - || exit 1;;
+ *) xz <"$i" | tar -xf - || exit 1;;
esac
done
@@ -127,6 +126,7 @@ if test -r "$ROOT/tlpkg/texlive.tlpdb" && test -d "$ROOT/tlpkg/tlpobj/"; then
t_instdir=$ROOT/tlpkg/installer # target installer dir
t_xzdir=$t_instdir/xz
+ t_lz4dir=$t_instdir/lz4
t_wgetdir=$t_instdir/wget
#
# ensure these target directories exist.
@@ -153,9 +153,10 @@ if test -r "$ROOT/tlpkg/texlive.tlpdb" && test -d "$ROOT/tlpkg/tlpobj/"; then
# install the bin dir for this platform.
(cd bin && tar cf - "$b") | (cd "$ROOT/bin" && tar xf -) || exit 1
- # copy the installer binaries; not everything provides wget.
- cp installer/xz/xzdec."$b" "$t_xzdir/" || exit 1
+ # copy the installer binaries; not everything provides wget or lz4.
cp installer/xz/xz."$b" "$t_xzdir/" || exit 1
+ test -r installer/lz4/lz4.$b \
+ && { cp installer/lz4/lz4.$b "$t_lz4dir/" || exit 1; }
test -r installer/wget/wget.$b \
&& { cp installer/wget/wget.$b "$t_wgetdir/" || exit 1; }
done
@@ -163,6 +164,7 @@ if test -r "$ROOT/tlpkg/texlive.tlpdb" && test -d "$ROOT/tlpkg/tlpobj/"; then
else
cat <<END_ABORT_NODIR >&2
$0: Cannot find TeX Live root using kpsewhich --var-value=SELFAUTOPARENT.
+$0: (no tlpkg/texlive.tlpdb and/or tlpkg/tlpobj/.)
$0: Please set your PATH as needed, otherwise it's hopeless.
END_ABORT_NODIR
exit 1